Package htsjdk.variant.variantcontext.writer

# Class IntGenotypeFieldAccessors.GQAccessor

java.lang.Object
htsjdk.variant.variantcontext.writer.IntGenotypeFieldAccessors.Accessor
htsjdk.variant.variantcontext.writer.IntGenotypeFieldAccessors.GQAccessor

Enclosing class:
  `IntGenotypeFieldAccessors`

public static class IntGenotypeFieldAccessors.GQAccessor extends IntGenotypeFieldAccessors.Accessor

## Constructor Summary

Constructors
Constructor
Description
`GQAccessor()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue(Genotype g)`
`int[]`
`getValues(Genotype g)`

### Methods inherited from class htsjdk.variant.variantcontext.writer.IntGenotypeFieldAccessors.Accessor

`getSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GQAccessor

public GQAccessor()

## Method Details

### getValue

public int getValue(Genotype g)

### getValues

public int[] getValues(Genotype g)

Specified by:
  `getValues` in class `IntGenotypeFieldAccessors.Accessor`